# DG-Reading-List

This is a definition generation reading list maintained by the Beijing Language and Culture University Intelligent Computer-Assisted Language Learning (ICALL) Research Group.

| Content                                               |
| ----------------------------------------------------- |
| 1. [Definition Generation](#1)                        |
| 2. [Related Task](#2)                                 |
| 2.1 [Learning Word Embeddings From Definitions](#2.1) |
| 2.2 [Word Sense Disambiguation](#2.2)                 |
| 2.3 [Others](#2.3)                                    |
| 3. [Chinese Data Resources](#3)                       |
| 3.1 [CCD](#3.1)                                       |
| 3.2 [CWN](#3.2)                                       |
| 3.3 [HowNet](#3.3)                                    |

<h2 id="1">1. Definition Generation</h2>

- Thanapon Noraset, Chen Liang, Larry Birnbaum, and Doug DowneyIn. 2017. [Definition Modeling: Learning to define word embeddings in natural language](<https://arxiv.org/pdf/1612.00394.pdf>). *In Proceedings of AAAI 2017.*
- Ke Ni and William Yang Wang. 2017. [Learning to Explain Non-Standard English Words and Phrases](<https://www.aclweb.org/anthology/I17-2070.pdf>). *In Proceeding of IJCNLP 2017 (short paper)*
- Artyom Gadetsky, Ilya Yakubovskiy, and Dmitry Vetrov. 2018. [Conditional Generators of Words Definitions](<https://www.aclweb.org/anthology/P18-2043.pdf>). *In Proceedings of ACL 2018*
- Ting-Yun Chang, Ta-Chung Chi,  Shang-Chi Tsai, and Yun-Nung Chen. 2018. [xSense: Learning Sense-Separated Sparse Representations and Textual Definitions for Explainable Word Sense Networks](<https://arxiv.org/pdf/1809.03348.pdf>). *Published in ArXiv 2018*
- Shonosuke Ishiwatari, Hiroaki Hayashi, Naoki Yoshinaga, Graham Neubig, Shoetsu Sato, Masashi Toyoda, and Masaru Kitsuregawa. 2019. [Learning to Describe Unknown Phrases with Local and Global Contexts](<https://www.aclweb.org/anthology/N19-1350.pdf>). *In Proceedings of  NAACL-HLT 2019*
- Ting-Yun Chang, and Yun-Nung Chen. 2019. [What Does This Word Mean? Explaining Contextualized Embeddings with Natural Language Definition](<https://www.aclweb.org/anthology/D19-1627.pdf>). *In Proceedings of EMNLP-IJCNLP 2019*
- Timothee Mickus, Denis Paperno, and Matthieu Constant. 2019. [Mark my Word: A Sequence-to-Sequence Aproach to Definition Modeling](<https://www.aclweb.org/anthology/W19-6201.pdf>). *In Proceedings of  the 1st NLPL Workshop on Deep Learning for Natural Language Processing*
- Koki Washio, Satoshi Sekine, and Tsuneaki Kato. 2019. [Bridging the Defined and the Defining: Exploiting Implicit Lexical Semantic Relations in Definition Modeling](<https://www.aclweb.org/anthology/D19-1357.pdf>). *In Proceedings of EMNLP-IJCNLP 2019*
- Ruimin Zhu, Thanapon Noraset, Alisa Liu, Wenxin Jiang, and Doug Downey. 2019. [Multi-sense Definition Modeling using Word Sense Decompositions](<https://arxiv.org/pdf/1909.09483.pdf>). *Published in ArXiv 2019*
- Liner Yang, Cunliang Kong, Yun Chen, Yang Liu, Qinan Fan, Erhong Yang. 2020. [Incorporating Sememes into Chinese Definition Modeling](https://arxiv.org/abs/1905.06512). *To appear In IEEE/ACM Transactions on Audio, Speech, and Language Processing*

<h2 id="2">2. Related Task</h2>

<h3 id="2.1">2.1 Learning Word Embeddings From Definitions</h3>

- Felix Hill, Kyunghyun Cho, Anna Korhonen, and Yoshua Bengio. 2016. [Learning to Understand Phrases by Embedding the Dictionary](<https://www.aclweb.org/anthology/Q16-1002.pdf>). *In Proceedings of TACL 2016*
- Tom Bosc, and Pascal Vincent. 2018. [Auto-Encoding Dictionary Definitions into Consistent Word Embeddings](<https://www.aclweb.org/anthology/D18-1181.pdf>). *In Proceedings of EMNLP 2018*
- Ranjani Iyer iyerr. 2018. [HybridVec : Hybrid Distributional and Definitional Word Vectors](<http://cs229.stanford.edu/proj2018/report/184.pdf>). *Published 2018*
- Evangelia Spiliopoulou, and Eduard H. Hovy. 2019 [Definition Frames: Using Definitions for Hybrid Concept Representations](<https://arxiv.org/pdf/1909.04793.pdf>). *Published in ArXiv 2019*

<h3 id="2.2">2.2 Word Sense Disambiguation</h3>

- Fuli Luo, Tianyu Liu, Qiaolin Xia, Baobao Chang and Zhifang Sui. 2018. [Incorporating Glosses into Neural Word Sense Disambiguation](<https://www.aclweb.org/anthology/P18-1230.pdf>). *In Proceedings of ACL 2018*
- Sawan Kumar, Sharmistha Jat, Karan Saxena, and Partha Talukdar. 2019. [Zero-shot Word Sense Disambiguation using Sense Definition Embeddings](<https://www.aclweb.org/anthology/P19-1568.pdf>). *In Proceedings of ACL 2019*
- Luyao Huang, Chi Sun, Xipeng Qiu, and Xuanjing Huang. 2019. [GlossBERT: BERT for Word Sense Disambiguation with Gloss Knowledge](<https://www.aclweb.org/anthology/D19-1355.pdf>). *In Proceedings of EMNLP 2019*
- Jiaju Du, Fanchao Qi, and Maosong Sun. 2019. [Using BERT for Word Sense Disambiguation](<https://arxiv.org/pdf/1909.08358.pdf>). *Published in ArXiv 2019*

<h3 id="2.3">2.3 Others</h3>

- Lei Zhang, Fanchao Qi, Zhiyuan Liu, Yasheng Wang, Qun Liu, and Maosong Sun. 2020. [Multi-channel Reverse Dictionary Model](<https://arxiv.org/pdf/1912.08441.pdf>).  *In Proceedings of AAAI 2020*
- Jiaju Du, Fanchao Qi, Maosong Sun, and Zhiyuan Liu. 2020. [Lexical Sememe Prediction using Dictionary Definitions by Capturing Local Semantic Correspondence](<https://arxiv.org/pdf/2001.05954.pdf>). *Accepted by Journal of Chinese Information Processing*

<h2 id="3">3. Chinese Data Resources</h2>

<h3 id="3.1">3.1 CCD</h3>

- 于江生, 俞士汶. 2002. [中文概念词典的结构](<http://jcip.cipsc.org.cn/CN/abstract/abstract1187.shtml>). *中文信息学报*
- 昝红英, 俞士汶. 2003. [CCD及其应用](<http://kns.cnki.net/kcms/detail/detail.aspx?filename=GXSF200301022&dbcode=CJFQ&dbname=CJFD2003&v=>). *广西师范大学学报*
- 刘扬, 于江生, 俞士汶. 2003. [CCD构造模型及VACOL辅助软件的设计与实现](<http://kns.cfed.cnki.net/kcms/detail/detail.aspx?filename=YYYY200301013&dbcode=CFJD&dbname=>). *语言文字应用*

<h3 id="3.2">3.2 CWN</h3>

- 黄居仁, 谢舒凯, 洪嘉馡, 陈韵竹, 苏依莉, 陈永祥, 黄胜伟. 2010. [中文词汇网络:跨语言知识处理基础架构的设计理念与实践](<http://jcip.cipsc.org.cn/CN/Y2010/V24/I2/14>). *中文信息学报* [[CWN2 Web Site](<http://lope.linguistics.ntu.edu.tw/cwn2/>)]

<h3 id="3.3">3.3 HowNet</h3>

- 郝长伶, 董强. 2003. [KDML——知网知识系统描述语言](<http://www.keenage.com/Theory%20and%20practice%20of%20HowNet/07.pdf>). *全国第七届计算语言学联合学术会议* [[OpenHownet Web Site](<https://openhownet.thunlp.org/>)]

